import * as i0 from '@angular/core';
import { Component, Input, ViewChild } from '@angular/core';
import { BsCopyDirective } from '@mintplayer/ng-bootstrap/copy';
import * as i1 from '@mintplayer/ng-bootstrap/offcanvas';
import { BsOffcanvasModule } from '@mintplayer/ng-bootstrap/offcanvas';
import * as i2 from 'ngx-highlightjs';
import { HighlightModule } from 'ngx-highlightjs';

class BsCodeSnippetComponent {
    constructor() {
        this.offcanvasVisible = false;
        this.codeToCopy = '';
        this.languages = null;
        this.lineNumbers = false;
    }
    copiedHtml() {
        this.offcanvasVisible = true;
        setTimeout(() => this.offcanvasVisible = false, 3000);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.1", ngImport: i0, type: BsCodeSnippetComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.1", type: BsCodeSnippetComponent, isStandalone: true, selector: "bs-code-snippet", inputs: { codeToCopy: "codeToCopy", languages: "languages", lineNumbers: "lineNumbers" }, viewQueries: [{ propertyName: "copiedTemplate", first: true, predicate: ["copiedTemplate"], descendants: true }], ngImport: i0, template: "<div class=\"position-relative\">\n    <button #copyBtn [bsCopy]=\"codeToCopy\" (bsCopied)=\"copiedHtml()\" class=\"btn btn-link rounded-0 text-light position-absolute copy-btn\">\n        Copy html\n    </button>\n    <pre class=\"white-space-normal\">\n        <code class=\"d-block white-space-pre\" [highlight]=\"codeToCopy\" [lineNumbers]=\"lineNumbers\" [languages]=\"languages ?? undefined!\"></code>\n    </pre>\n    <bs-offcanvas [(isVisible)]=\"offcanvasVisible\" [position]=\"'bottom'\">\n        <div *bsOffcanvasContent class=\"p-3 bg-dark text-light\">Copied!</div>\n    </bs-offcanvas>\n</div>", styles: [".copy-btn{right:0}\n"], dependencies: [{ kind: "directive", type: BsCopyDirective, selector: "[bsCopy]", inputs: ["bsCopy"], outputs: ["bsCopied"] }, { kind: "ngmodule", type: BsOffcanvasModule }, { kind: "directive", type: i1.BsOffcanvasContentDirective, selector: "[bsOffcanvasContent]" }, { kind: "component", type: i1.BsOffcanvasHostComponent, selector: "bs-offcanvas", inputs: ["isVisible", "position", "size", "hasBackdrop"], outputs: ["backdropClick", "isVisibleChange"] }, { kind: "ngmodule", type: HighlightModule }, { kind: "directive", type: i2.Highlight, selector: "[highlight]", inputs: ["highlight", "languages", "lineNumbers"], outputs: ["highlighted"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.1", ngImport: i0, type: BsCodeSnippetComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-code-snippet', standalone: true, imports: [BsCopyDirective, BsOffcanvasModule, HighlightModule], template: "<div class=\"position-relative\">\n    <button #copyBtn [bsCopy]=\"codeToCopy\" (bsCopied)=\"copiedHtml()\" class=\"btn btn-link rounded-0 text-light position-absolute copy-btn\">\n        Copy html\n    </button>\n    <pre class=\"white-space-normal\">\n        <code class=\"d-block white-space-pre\" [highlight]=\"codeToCopy\" [lineNumbers]=\"lineNumbers\" [languages]=\"languages ?? undefined!\"></code>\n    </pre>\n    <bs-offcanvas [(isVisible)]=\"offcanvasVisible\" [position]=\"'bottom'\">\n        <div *bsOffcanvasContent class=\"p-3 bg-dark text-light\">Copied!</div>\n    </bs-offcanvas>\n</div>", styles: [".copy-btn{right:0}\n"] }]
        }], propDecorators: { codeToCopy: [{
                type: Input
            }], languages: [{
                type: Input
            }], lineNumbers: [{
                type: Input
            }], copiedTemplate: [{
                type: ViewChild,
                args: ['copiedTemplate']
            }] } });

/**
 * Generated bundle index. Do not edit.
 */

export { BsCodeSnippetComponent };
//# sourceMappingURL=mintplayer-ng-bootstrap-code-snippet.mjs.map
